LILYPOND-BOOK(1)

NAME
lilypond-book - manual page for lilypond-book 2.22.1

SYNOPSIS
lilypond-book [OPTION]... FILE

DESCRIPTION
Process LilyPond snippets in hybrid HTML, LaTeX, texinfo or DocBook document.

OPTIONS

-F, --filter=FILTER
    pipe snippets through FILTER [default: `convert-ly -n -']

-f, --format=FORMAT
    use output format FORMAT (texi [default], texi-html, latex, html, docbook)

-h, --help
    show this help and exit

-I, --include=DIR
    add DIR to include path

--info-images-dir=DIR
    format Texinfo output so that Info will look for images of music in DIR

--left-padding=PAD
    pad left side of music to align music in spite of uneven bar numbers (in mm)

--lily-loglevel=LOGLEVEL
    Print lilypond log messages according to LOGLEVEL

--lily-output-dir=DIR
    write lily-XXX files to DIR, link into --output dir

-l, --loglevel=LOGLEVEL
    Print log messages according to LOGLEVEL (NONE, ERROR, WARNING, PROGRESS (default), DEBUG)

-o, --output=DIR
    write output to DIR

-P, --process=COMMAND
    process ly_files using COMMAND FILE...

--redirect-lilypond-output
    Redirect the lilypond output

-s, --safe
    Compile snippets in safe mode

--skip-lily-check
    do not fail if no lilypond output is found

--skip-png-check
    do not fail if no PNG images are found for EPS files

--use-source-file-names
    write snippet output files with the same base name as their source file

-V, --verbose
    be verbose

--version
    show version number and exit

-w, --warranty
    show warranty and copyright

  Options only for the latex and texinfo backends:

--latex-program=PROG
    run executable PROG instead of latex, or in case --pdf option is set instead of pdflatex

--texinfo-program=PROG
    run executable PROG instead of texi2pdf

--pdf
    create PDF files for use with PDFTeX

EXAMPLES

    $ lilypond-book --filter="tr '[a-z]' '[A-Z]'" BOOK
    $ lilypond-book -F "convert-ly --no-version --from=2.0.0 -" BOOK
    $ lilypond-book --process='lilypond -I include' BOOK

REPORTING BUGS
Report bugs via bug-lilypond@gnu.org

SEE ALSO
The full documentation for lilypond-book is maintained as a Texinfo manual. If the info and lilypond-book programs are properly installed at your site, the command

    info lilypond-book

should give you access to the complete manual.